OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::BodyPartConnectorCaffe< T > Class Template Reference

`#include <bodyPartConnectorCaffe.hpp>`

## Public Member Functions
| BodyPartConnectorCaffe ()
virtual | ~BodyPartConnectorCaffe ()
virtual void | Reshape (const std::vector< caffe::Blob< T > * > &bottom, const int gpuID=0)
virtual const char * | type () const
void | setPoseModel (const PoseModel poseModel)
void | setMaximizePositives (const bool maximizePositives)
void | setInterMinAboveThreshold (const T interMinAboveThreshold)
void | setInterThreshold (const T interThreshold)
void | setMinSubsetCnt (const int minSubsetCnt)
void | setMinSubsetScore (const T minSubsetScore)
void | setScaleNetToOutput (const T scaleNetToOutput)
virtual void | Forward (const std::vector< caffe::Blob< T > * > &bottom, Array< T > &poseKeypoints, Array< T > &poseScores)
virtual void | Forward_cpu (const std::vector< caffe::Blob< T > * > &bottom, Array< T > &poseKeypoints, Array< T > &poseScores)
virtual void | Forward_gpu (const std::vector< caffe::Blob< T > * > &bottom, Array< T > &poseKeypoints, Array< T > &poseScores)
virtual void | Forward_ocl (const std::vector< caffe::Blob< T > * > &bottom, Array< T > &poseKeypoints, Array< T > &poseScores)
virtual void | Backward_cpu (const std::vector< caffe::Blob< T > * > &top, const std::vector< bool > &propagate_down, const std::vector< caffe::Blob< T > * > &bottom)
virtual void | Backward_gpu (const std::vector< caffe::Blob< T > * > &top, const std::vector< bool > &propagate_down, const std::vector< caffe::Blob< T > * > &bottom)

## Constructor & Destructor Documentation

template<typename T >

op::BodyPartConnectorCaffe< T >::BodyPartConnectorCaffe | ( |  | ) |
| explicit

template<typename T >

virtual op::BodyPartConnectorCaffe< T >::~BodyPartConnectorCaffe | ( |  | ) |
| virtual

## Member Function Documentation

template<typename T >

virtual void op::BodyPartConnectorCaffe< T >::Backward_cpu | ( | const std::vector< caffe::Blob< T > * > & | top,
|  | const std::vector< bool > & | propagate_down,
|  | const std::vector< caffe::Blob< T > * > & | bottom
| ) |  |
| virtual

template<typename T >

virtual void op::BodyPartConnectorCaffe< T >::Backward_gpu | ( | const std::vector< caffe::Blob< T > * > & | top,
|  | const std::vector< bool > & | propagate_down,
|  | const std::vector< caffe::Blob< T > * > & | bottom
| ) |  |
| virtual

template<typename T >

virtual void op::BodyPartConnectorCaffe< T >::Forward | ( | const std::vector< caffe::Blob< T > * > & | bottom,
|  | Array< T > & | poseKeypoints,
|  | Array< T > & | poseScores
| ) |  |
| virtual

template<typename T >

virtual void op::BodyPartConnectorCaffe< T >::Forward_cpu | ( | const std::vector< caffe::Blob< T > * > & | bottom,
|  | Array< T > & | poseKeypoints,
|  | Array< T > & | poseScores
| ) |  |
| virtual

template<typename T >

virtual void op::BodyPartConnectorCaffe< T >::Forward_gpu | ( | const std::vector< caffe::Blob< T > * > & | bottom,
|  | Array< T > & | poseKeypoints,
|  | Array< T > & | poseScores
| ) |  |
| virtual

template<typename T >

virtual void op::BodyPartConnectorCaffe< T >::Forward_ocl | ( | const std::vector< caffe::Blob< T > * > & | bottom,
|  | Array< T > & | poseKeypoints,
|  | Array< T > & | poseScores
| ) |  |
| virtual

template<typename T >

virtual void op::BodyPartConnectorCaffe< T >::Reshape | ( | const std::vector< caffe::Blob< T > * > & | bottom,
|  | const int | gpuID = `0`
| ) |  |
| virtual

template<typename T >

void op::BodyPartConnectorCaffe< T >::setInterMinAboveThreshold | ( | const T | interMinAboveThreshold | ) |

template<typename T >

void op::BodyPartConnectorCaffe< T >::setInterThreshold | ( | const T | interThreshold | ) |

template<typename T >

void op::BodyPartConnectorCaffe< T >::setMaximizePositives | ( | const bool | maximizePositives | ) |

template<typename T >

void op::BodyPartConnectorCaffe< T >::setMinSubsetCnt | ( | const int | minSubsetCnt | ) |

template<typename T >

void op::BodyPartConnectorCaffe< T >::setMinSubsetScore | ( | const T | minSubsetScore | ) |

template<typename T >

void op::BodyPartConnectorCaffe< T >::setPoseModel | ( | const PoseModel | poseModel | ) |

template<typename T >

void op::BodyPartConnectorCaffe< T >::setScaleNetToOutput | ( | const T | scaleNetToOutput | ) |

template<typename T >

virtual const char* op::BodyPartConnectorCaffe< T >::type | ( |  | ) | const
| inline virtual

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/net/bodyPartConnectorCaffe.hpp